html{
    overflow: hidden;
}
.detail-card{
    position: fixed;
    inset: 0 0 0 0;
    background: rgba(0, 0, 0, 0.5);
    padding: 0 15px;
    z-index: 11;
}
.detail-card__content{
    max-width: 1164px;
    margin: auto;
    background-color: var(--color-white);
    padding: 20px 40px 40px;
    max-height: 100vh;
    overflow: auto;
}

.detail-card__header{
    margin-bottom: 20px;
}
.detail-card__header-top{
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid var(--color-line-white-background);
    padding-bottom:20px ;
    flex-wrap: wrap;
}
.detail-card__close{
    display: flex;
    align-items: center;
    background: #f1f3f2;
    padding: 16px;
    max-width: 219px;
    font-weight: 500;
    font-size: 16px;
    letter-spacing: -0.02em;
    color: #616161;
    gap: 15px;
    border-radius: 7px;
    border: 1px solid #f1f3f2 ;
    cursor: pointer;
    transition: .2s all ease;
}
.detail-card__close:hover{
    border-color: var(--color-green-accent);
    background: transparent;
    color: var(--color-green-accent);
}
.detail-card__close:hover svg path{
    stroke: var(--color-green-accent);
}
.detail-card__btns{
    display: flex;
    gap:20px;
}
.detail-card__btn{
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 7px;
    background: #f1f3f2;
    cursor: pointer;
}

@media(min-width:768px){
    .detail-card__btn--share:hover svg path{
        fill: var(--color-green-accent);
    }
    .detail-card__btn--favorite:hover svg path{
        stroke: var(--color-green-accent);
    }
    .detail-card__btn--print:hover svg path:not(:last-child){
        fill: var(--color-green-accent);
    }
}
 .detail-card__btn--share:active svg path{
        fill: var(--color-green-accent);
    }
    .detail-card__btn--favorite:active svg path{
        stroke: var(--color-green-accent);
    }
    .detail-card__btn--print:active svg path:not(:last-child){
        fill: var(--color-green-accent);
    }
.detail-card__header-nav{
    padding: 25px 0;
    border-bottom: 1px solid var(--color-line-white-background);
    overflow: auto;
}
.detail-card__header-list{
    display: flex;
    align-items: center;
    gap: 50px;
    justify-content: center;
}
.detail-card__header-link{
    font-weight: 500;
    font-size: 16px;
    letter-spacing: -0.01em;
    color: var(--color-dark-green);
}
.detail-card__header-link:hover{
    color: var(--color-green-accent);
}
.detail-card__header-list{
    min-width: 872px;
}
.detail-card__slider-main_container{
    position: relative;
    max-width: calc(83% - 20px);
}
.detail-card__sliders{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 30px;
}
.main-detail-slide{
    cursor:pointer;
}
.main-detail-slide img{
    max-width: 100%;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.detail-card__slider-main__controls{
    position: absolute;
    left: 0px;
    right: 0px;
    margin: auto;
    width: calc(100% - 60px);
    top: 0;
    bottom: 0;
    max-height: 55px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.detail-card__slider-main__control{
    cursor: pointer;
}
.detail-card__slider-main__control:hover svg rect{
    fill: var(--color-green-accent);
}
.detail-card__slider-main__control:hover svg path{
    stroke: var(--color-white);
}
.detail-card__slider-main,.main-detail-slider,.main-detail-slider .slick-list.draggable,.main-detail-slider .slick-track{
    height: 100%;
}
.detail-card__slider-second_container{
    max-width: calc(16.333%);
}
.detail-card__slider-second{
    height: 100%;
    
}
.detail-second-slider{
    height: 598px;
}
.detail-card__slider-second .slick-slide{
    padding: 10px 0;
     height: 149.5px;
}
.detail-card__slider-second .slick-list.draggable{
    margin: -10px 0;
}
.detail-second-slider:not(.slick-slider){
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: space-between;
    header: 100%;
}
.detail-card__info-title{
    font-weight: 500;
    font-size: 25px;
    letter-spacing: -0.02em;
    color: var(--color-dark-green);
    margin-bottom: 7px;
    line-height: 1.2;
}
.detail-card__info-address{
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 10px;
}
.detail-card__info-address p{
    font-weight: 400;
    font-size: 16px;
    letter-spacing: -0.02em;
    color: var(--color-dark-green);   
}
.detail-card__info-address-link{
    font-weight: 400;
    font-size: 14px;
    color: var(--color-dark-green);
    display: block;
    max-width: 170px;
    padding: 10px;
    border-radius: 5px;
    background: #f1f3f2;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #f1f3f2;
    transition: .2s all ease;
}
.detail-card__info-address-link:hover{
    background: transparent;
    border-color: var(--color-green-accent);
    color: var(--color-green-accent);
}
.detail-card__info__items{
    max-width: calc(72.8% - 20px);
}
.detail-card__info__items-price{
    font-weight: 700;
    font-size: 25px;
    letter-spacing: -0.02em;
    text-align: right;
    color: var(--color-dark-green);
    margin-bottom: 10px;
    min-width: max-content;
}
.detail-card__info__items-square-price{
    font-weight: 500;
    font-size: 20px;
    letter-spacing: -0.02em;
    text-align: right;
    color: var(--color-dark-green);
    display: none !important;
}
.detail-card__info__items__main{
    display: flex;
    justify-content: space-between;   
}
.detail-card__item{
    padding-bottom: 40px;
    margin-bottom: 40px;
    border-bottom: 1px solid var(--color-line-gray-background);
}
.detail-card__info-id{
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 16px;
    color: var(--color-dop-text);
    margin-bottom: 25px;
}
.detail-card__info__items__description-body{
    margin-bottom: 20px;
    max-height: 96px;
    overflow: hidden;
    transition: max-height 0.3s ease;
    position: relative;
}
.detail-card__info__items__description-body.expanded {
    max-height: none;
}
.detail-card__info__items__description-body > *{
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 150%;
    color: var(--color-dark-green);
    margin-bottom: 10px;
}
.detail-card__info__items__description-body > *:last-child{
    margin-bottom: 0;
}
.detail-card__info__items__description-show-more {
    display: flex;
    align-items: center;
    gap: 12px;
    border-bottom: 1px solid  var(--color-green-accent);
    padding-bottom: 10px;
    max-width: max-content;
    cursor: pointer;
}
.detail-card__info__items__description-show-more p{
    font-weight: 500;
    font-size: 16px;
    color: var(--color-green-accent);
}
.detail-card__info__items-title{
    font-weight: 500;
    font-size: 20px;
    line-height: 117%;
    color: var(--color-dark-green);
    margin-bottom: 17px;
    text-align: left;
    text-transform: none;
}
.detail-card__info__items-title--characters{
    margin-bottom: 25px;
}
.detail-card__info__items__characters-item{
    border: 1px solid var(--color-line-gray-background);
    border-radius: 7px;
    padding: 0;
    overflow: hidden;
    margin-bottom: 30px;
}
.detail-card__info__items__characters-item__top{
    background: #f7f8f8;
    padding: 17px 30px;
}
.detail-card__info__items__characters-item__title{
    font-weight: 500;
    font-size: 17px;
    line-height: 117%;
    color: var(--color-dark-green);
}

.detail-card__info__items__characters-element-list{
    display: flex;
    flex-wrap: wrap;
    padding: 20px 30px;
    gap:15px;
    justify-content: space-between;
}
.detail-card__info__items__characters-element-list--row{
    justify-content: flex-start;
    gap: 15px 30px;
}
.detail-card__info__items__characters-element-list > li{
    flex: 0 1 calc(33.333% - 15px);
    display: flex;
    align-items: center;
    gap: 10px;
    
}
.detail-card__info__items__characters-element-list--row > li{
    flex: 0 1 auto;
}
.detail-card__info__items__characters-element-item__value{
    font-weight: 500;
    font-size: 15px;
    line-height: 117%;
    color: var(--color-dark-green);
}
.detail-card__info__items-title--infrastructure{
    margin-bottom: 20px;
}
.infrastructure-list__title{
    font-weight: 500;
    font-size: 16px;
    line-height: 117%;
    color: var(--color-dark-green);
    margin-bottom: 12px;
}
.infrastructure-list{
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
}
.infrastructure-item{
    font-weight: 400;
    font-size: 16px;
    line-height: 145%;
    color: var(--color-dark-green);
}
.infrastructure-map img{
    max-width: 100%;
}

.observe__form-date-list{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 20px;  
    margin-bottom: 25px;  
}
.observe__form-date-item{
    flex: 0 1 calc(25% - 15px);
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 3px;
    border: 1px solid #dde5e0;
    border-radius: 7px;
    transition: .1s all ease;
    cursor: pointer;
}
.observe__form-date-item__title{
    font-weight: 400;
    font-size: 15px;
    letter-spacing: -0.01em;
    text-align: center;
    color: #888e89;
}
.observe__form-date-item__date{
    font-weight: 500;
    font-size: 15px;
    letter-spacing: -0.01em;
    text-align: center;
    color: var(--color-dark-green);
    transition: .1s color ease;
}
.observe__form-date-item:hover {
    border-color: var(--color-green-accent);
}
.observe__form-date-item:hover:not(.active) .observe__form-date-item__date{
    color: var(--color-green-accent);
}
.observe__form-date-item.active{
    background-color: var(--color-green-accent);
    border-color: var(--color-green-accent);
}
.observe__form-date-item.active .observe__form-date-item__date{
    color: var(--color-white);
}
.observe__form-date-item.active .observe__form-date-item__title{
    color: rgba(255, 255, 255, 0.9);
}
.observer__form-item{
    max-width: 230px;
    display: flex;
    flex-direction: column;
    gap: 14px;
}
.observer__form-item span{
    font-family: "Wix Madefor Text", sans-serif;
    font-weight: 400;
    font-size: 15px;
    letter-spacing: -0.01em;
    color: #888e89;
}
.observer__form-inputs{
    display: flex;
    align-items: center;
    gap: 20px;
    width: 100%;
}
.observer__form-item{
    flex: 0 1 230px;
}
.observer__form-submit{
    max-width: 269px;
    padding: 24px;
    width: 100%;
}
.default-select__checkboxs--observer{
    overflow: hidden;
}
.default-select__checkboxs--observer li:hover span{
    color: var(--color-green-accent);
}
.default-select__checkboxs--observer span{
    color: var(--color-dark-green);
    padding-left: 0;
}
.default-select__checkboxs--observer span::before{
    content: none;
}
.observer-form-error,.observer-form-success{
    display: none;
}
.variant-slide__content{
    height: 100%;
}
.variant-slide{
    height: auto;
}
.variant-slider{
    margin-bottom: 25px;
}
.variant-slider .slick-track{
    display: flex;
}
.variant-slider .slick-list.draggable{
    margin: 0 -10px;
}
.variant-slider .variant-slide{
    padding: 0 10px;
}
.variant-slider__bottom{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.variant-slider__controls{
    display: flex;
    gap: 20px;
}
.variant-slider__bottom p{
    font-weight: 400;
    font-size: 14px;
    line-height: 117%;
    letter-spacing: -0.02em;
    color: rgba(38, 50, 40, 0.8);
    max-width: 263px;
    width:100%;
}
.variant-slider__bottom p:last-child{
    text-align: right;
}
.detail-card__info__items-title--observe{
    /* color: var(--color-green-accent); */
    margin-bottom: 20px;
    line-height: 1;
}
.detail-card__info__items-title--variant span.same_variant{
    font-weight: 500;
    font-size: 20px;
    line-height: 117%;
    color: #888e89;
    margin-bottom: 17px;
    text-align: left;
    text-transform: none;
    cursor: pointer;
}
.detail-card__info__items-title--variant span.else_variant{
    font-weight: 400;
    font-size: 20px;
    line-height: 117%;
    color: #888e89;
    padding-left: 35px;
    cursor: pointer;
}
.detail-card__info__items-title--variant span.active{
    color: var(--color-green-accent);
}
.detail-card__callback-form{
    background: #f1f3f2;
    border-radius: 7px;
    padding: 35px 30px;
}
.callback-form{
    display: flex;
    align-items: center;
    gap: 20px;
}
.detail-card__callback-form-title{
    font-weight: 500;
    font-size: 20px;
    line-height: 117%;
    color: #263228;
    margin-bottom: 20px;
}
.detail-card__callback-form-text{
    font-weight: 400;
    font-size: 16px;
    line-height: 117%;
    color: #263228;
    margin-bottom: 20px;
}
.callback__form-item {
    flex: 0 1 230px;
    display: flex;
    flex-direction: column;
    gap: 14px;
}
.callback__form-submit{
    padding: 24px;
    max-width: 248px;
    width: 100%;
}
.callback__form-item span{
    font-weight: 400;
    font-size: 15px;
    letter-spacing: -0.01em;
    color: #888e89;
}
.default-select__input--callback::placeholder,.default-select__input--observe::placeholder{
    color: rgba(38, 50, 40, 0.7);
}
.variant__card{
    height: 100%;
}
.variant__card .card-shown-tab--recommendation p{
    font-size: 14px;
}
.variant__card .card-absolute-params__item-name, .variant__card .card-absolute-params__item-value{
    font-size: 14px;
}
.variant__card .card-absolute-params__item-name{
    font-size: 14px;
}
.variant__card .default-card-params-list > *{
    font-size: 15px;
}
.variant__card .default-card-title a{
    font-size: 18px;
}
.variant__card .default-card-price{
    margin-top: auto;
}
.variant__card .default-card-price p{
    font-size: 23px;
}
.variant__card .add_favorite-btn svg{
    max-width: 50px;
    max-height: 50px;
}
.detail-card__info__items-title--variant{
    color: var(--color-green-accent);
}
.detail-card__info{
    display: flex;
    gap:20px
}
.detail-card__info__managers{
    width: 100%;
    min-width: 295px;
    flex: 0;
}
.detail-card__info__managers__card-logo{
    margin-bottom: 12px;
}
.detail-card__info__managers__card{
    border-radius: 15px;
    background: #f1f3f2;
    padding: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: sticky;
    top: 0;
}
.detail-card__info__managers__card-name{
    font-weight: 600;
    font-size: 19px;
    text-align: center;
    color: var(--color-dark-green);
    margin-bottom: 3px;
}
.detail-card__info__managers__card-post{
    font-weight: 400;
    font-size: 15px;
    text-align: center;
    color: var(--color-gray);
    margin-bottom: 20px;
}
.default-button--managers-card{
    padding: 17px;
    width: 100%;
    margin-bottom: 12px;
}
.button-show-more--managers-card span{
    font-weight: 400;
    font-size: 14px;
    text-align: center;
    color: #263228;
   
}
.button-show-more--managers-card{
    width: 100%;
    margin-bottom: 12px;
    border-color:#C1CAC3;
    padding: 16px;
}
.button-show-more--managers-card:last-child{
    margin-bottom: 0;
}
.button-show-more--managers-card:last-child:hover span{
    font-weight: 500;
}
.detail-card__content[data-scroll = "custom"]::-webkit-scrollbar {
    width: 10px;
    height: 3px;
}
  
.detail-card__content[data-scroll = "custom"]::-webkit-scrollbar-track {
    background: #e7e7e7; 
    border-radius: 20px;
}

.detail-card__content[data-scroll = "custom"]::-webkit-scrollbar-thumb {
    background:  #a4a4a4;; 
    border-radius: 20px;
}
.detail-card__info__items__characters-item__top svg:first-child, .detail-card__info__items__characters-item__top.open svg:last-child{
    display: block;
}
.detail-card__info__items__characters-item__top.open svg:first-child,.detail-card__info__items__characters-item__top svg:last-child{
    display: none;
}
.detail-card__info__items__characters-item:last-child{
    margin-bottom: 0;
}
.detail-card__info__items__characters-item__body{
    padding-top: 0;
}
.slick-slide-hidden{
    display: none !important;
}
@media(max-width:1199px){
    @media(min-width:993px) {
        
        .detail-card__info__items {
            max-width: calc(65.8% - 20px);
        }
        .detail-card__info-title{
            font-size: 22px;
            max-width: 367px;
        }
        .detail-card__info__items-price{
            font-size: 22px;
        }
        .detail-card__info__items-square-price{
            font-size: 17px;
        }
        .detail-card__info__items__characters-element-list > li{
            flex: 0 1 calc(50% - 15px);
        }
        .observer__form-inputs{
            flex-wrap: wrap;
        }
        .variant-slider__bottom{
            /* flex-wrap: wrap; */
            gap: 15px;
        }
        .callback-form{
            flex-wrap: wrap;
        }
        .callback__form-item{
            flex: 0 1 calc(50% - 10px);
        }
        .observe__form-date-item{
            flex: 0 1 calc(33.33% - 14px);
        }
        .detail-card__info__items__characters-item__body{
            padding-top: 0;
            /* padding-bottom: 30px; */
        }
        .detail-card__info__items__characters-element-list{
            padding: 20px 30px 30px 30px;
        }
        .observer__form-item{
            max-width: calc(50% - 10px);
            /* max-width: 267px; */
            /* flex: 0 1 267px; */
            flex: 0 1 calc(50% - 10px);
        }
    }
}
@media(max-width:992px){
    .detail-card__info{
        flex-direction: column;
    }
    .detail-card__info__items{
        max-width: 100%;
    }
    .observer__form-item,.callback__form-item {
        flex: 1 0 230px;
        max-width: 100%;
    }
    .callback-form,.observer__form-inputs{
        flex-wrap: wrap;
    }
    .detail-card__info__items__characters-element-list > li{
        flex: 0 1 calc(50% - 15px);
    }
    .default-button--managers-card,.button-show-more--managers-card{
        max-width: 220px;
    }
    .variant-slider__bottom{
        gap: 15px;
    }
   
}
@media(max-width:768px){
    .detail-card__info__items__main{
        flex-direction: column;
        align-items: flex-start;
        gap: 30px;
    }
    .detail-card__info__items-square-price{
        text-align: left;
    }
    .observe__form-date-item {
        flex: 0 1 calc(33.333% - 15px);
    }
    .detail-card__header-top{
        gap: 20px;
    }
    .detail-card__slider-main__control svg{
        width: 47px;
        height: 47px;
    }
    .variant-slider__bottom p{
        display: none;
    }
    .variant-slider__bottom{
        justify-content: center;
    }
    .detail-card__btns{
        margin: auto;
    }
    .observer__form-inputs{
        gap: 20px 30px;
    }
}
@media(max-width:576px){
    .detail-card__info__items__characters-element-list > li{
        flex: 1 1 100%;
    }
    .observe__form-date-item {
        flex: 1 1 calc(50% - 15px);
    }
    .detail-card__info__items-title--observe span{
        display: block;
        padding-left: 0;
    }
    .detail-card__info__managers{
        min-width: 100%;
    }
    .variant-slider__bottom{
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 20px;
    }
    .variant-slider__controls{
        order: 1;
    }
    .variant-slider__bottom p{
        text-align: center;
    }
    .detail-card__content{
        padding: 20px 20px 40px;
    }
    .variant__card .default-card-params-list > *{
        font-size: 13px;
    }
    .observer__form-submit,.callback__form-submit{
        max-width: 100%;
    }
    .detail-card__header-top{
        flex-direction: column;
        gap: 20px;
    }
    .detail-card__slider-second_container{
        display: none;
    }
    .detail-card__slider-main_container{
        max-width: 100%;
    }
    .detail-card__slider-main, .main-detail-slider, .main-detail-slider .slick-list.draggable, .main-detail-slider .slick-track{
        height: auto;
    }
    .detail-card__slider-main__controls{
        position: static;
        justify-content: center;
        gap: 20px;
        margin-top: 30px;
    }
    .detail-card__close{
        display: flex;
        align-items: center;
        background: #f1f3f2;
        padding: 16px;
        max-width: 219px;
        font-weight: 500;
        font-size: 13px;
        letter-spacing: -0.02em;
        color: #616161;
        gap: 10px;
        border-radius: 7px;
        border: 1px solid #f1f3f2;
        cursor: pointer;
        transition: .2s all ease;
        max-width: 123px;
    }
    .detail-card__header-top{
        flex-direction: row;
    }
    .detail-card__logo img{
        max-width: 137px;
        width: 100%;
    }
    .detail-card__info-id{
        font-size: 15px;
    }
    .detail-card__info-title{
        font-size: 23px;
        line-height: 1.2;
    }
    .detail-card__info-address p{
        line-height: 1.2;
        font-size: 15px;
    }
    .detail-card__info__items-price{
        margin-bottom: 7px;
    }
    .detail-card__info__items-title--variant span{
        padding-left: 0;
        display: block;
        margin-top: 10px;
    }
    .detail-card__callback-form-text{
        margin-bottom: 25px;
    }
    .callback-form{
        gap: 30px;
    }
    .detail-card__info__managers__card{
        padding: 35px 30px;
    }
    .default-button--managers-card, .button-show-more--managers-card{
        max-width: 100%;
        padding: 25px;
    }
}
